<?php
namespace Bushelpowered\Api\Fulfillment\Contract\V1\Common;
        
class Filters 
{
    /** @var string[]|null $commodityCodes */
    public ?array $commodityCodes = null;
    public ?int $deliveryStartDate = null;
    public ?int $deliveryEndDate = null;
    /** @var string[]|null $status */
    public ?array $status = null;
    /** @var string[]|null $contractedLocationIds */
    public ?array $contractedLocationIds = null;
    /** @var string[]|null $deliveryLocationIds */
    public ?array $deliveryLocationIds = null;

    /**
     * @param  string[]|null  $commodityCodes
     * @param  string[]|null  $status
     * @param  string[]|null  $contractedLocationIds
     * @param  string[]|null  $deliveryLocationIds
     */
    public function __construct(?array $commodityCodes, ?int $deliveryStartDate, ?int $deliveryEndDate, ?array $status, ?array $contractedLocationIds, ?array $deliveryLocationIds)
    {
        $this->commodityCodes = $commodityCodes;
        $this->deliveryStartDate = $deliveryStartDate;
        $this->deliveryEndDate = $deliveryEndDate;
        $this->status = $status;
        $this->contractedLocationIds = $contractedLocationIds;
        $this->deliveryLocationIds = $deliveryLocationIds;
    }
    

}