<?php
namespace Bushelpowered\Api\Grain\Contracts\V1\Request;
        
class GetAllContractsRequest implements Api\Common\RequestsPagination
{
    /** @var string[]|null $ids */
    public ?array $ids = null;
    /** @var string[]|null $accountIds */
    public ?array $accountIds = null;
    /** @var string[]|null $integrationIds */
    public ?array $integrationIds = null;
    public \Bushelpowered\Api\Grain\Contracts\V1\Request\ContractPagination $pagination = null;

    /**
     * @param  string[]|null  $ids
     * @param  string[]|null  $accountIds
     * @param  string[]|null  $integrationIds
     */
    public function __construct(?array $ids, ?array $accountIds, ?array $integrationIds, \Bushelpowered\Api\Grain\Contracts\V1\Request\ContractPagination $pagination)
    {
        $this->ids = $ids;
        $this->accountIds = $accountIds;
        $this->integrationIds = $integrationIds;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): \Bushelpowered\Api\Grain\Contracts\V1\Request\ContractPagination
    {
        return $this->pagination;
    }
}