<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Request;
        
class UpdateRolePermissionsRequest 
{
    public string $id;
    /** @var string[]|null $permissionsToAdd */
    public ?array $permissionsToAdd = null;
    /** @var string[]|null $permissionsToRemove */
    public ?array $permissionsToRemove = null;

    /**
     * @param  string[]|null  $permissionsToAdd
     * @param  string[]|null  $permissionsToRemove
     */
    public function __construct(string $id, ?array $permissionsToAdd, ?array $permissionsToRemove)
    {
        $this->id = $id;
        $this->permissionsToAdd = $permissionsToAdd;
        $this->permissionsToRemove = $permissionsToRemove;
    }
    

}