<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class CreateCompanyRequest 
{
    public string $slug;
    public int $cqgCategoryId;
    public ?int $ingestEnabledAt = null;
    public bool $displayConvertedBasis;
    public string $bidRoundingStrategy;
    public int $cashBidDecimalFormat;

    /**
     */
    public function __construct(string $slug, int $cqgCategoryId, ?int $ingestEnabledAt, bool $displayConvertedBasis, string $bidRoundingStrategy, int $cashBidDecimalFormat)
    {
        $this->slug = $slug;
        $this->cqgCategoryId = $cqgCategoryId;
        $this->ingestEnabledAt = $ingestEnabledAt;
        $this->displayConvertedBasis = $displayConvertedBasis;
        $this->bidRoundingStrategy = $bidRoundingStrategy;
        $this->cashBidDecimalFormat = $cashBidDecimalFormat;
    }
    

}