<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Request;
        
class UpdateSubjectGroupMembersRequest 
{
    public string $id;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\SubjectOrIdentifier[] $membersToAdd */
    public array $membersToAdd;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\SubjectOrIdentifier[] $membersToRemove */
    public array $membersToRemove;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\SubjectOrIdentifier[]  $membersToAdd
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\SubjectOrIdentifier[]  $membersToRemove
     */
    public function __construct(string $id, array $membersToAdd, array $membersToRemove)
    {
        $this->id = $id;
        $this->membersToAdd = $membersToAdd;
        $this->membersToRemove = $membersToRemove;
    }
    

}