<?php
namespace Bushelpowered\Api\Platform\Branding\V1\Response;
        
class BundleIdSlug 
{
    public string $flavorId;
    public string $slug;
    public ?string $iosBundleId = null;
    public ?string $currentIosVersion = null;
    public ?string $androidBundleId = null;
    public ?string $currentAndroidVersion = null;
    public int $createdAt;

    /**
     */
    public function __construct(string $flavorId, string $slug, ?string $iosBundleId, ?string $currentIosVersion, ?string $androidBundleId, ?string $currentAndroidVersion, int $createdAt)
    {
        $this->flavorId = $flavorId;
        $this->slug = $slug;
        $this->iosBundleId = $iosBundleId;
        $this->currentIosVersion = $currentIosVersion;
        $this->androidBundleId = $androidBundleId;
        $this->currentAndroidVersion = $currentAndroidVersion;
        $this->createdAt = $createdAt;
    }
    

}