<?php
namespace Bushelpowered\Api\Platform\Location\V1\Response;
        
class LocationListResponse implements Api\Common\ReturnsPaginationTokens
{
    /** @var \Bushelpowered\Api\Platform\Location\V1\Model\LocationStandard[] $data */
    public array $data;
    public ?string $continuationToken = null;

    /**
     * @param  \Bushelpowered\Api\Platform\Location\V1\Model\LocationStandard[]  $data
     */
    public function __construct(array $data, ?string $continuationToken)
    {
        $this->data = $data;
        $this->continuationToken = $continuationToken;
    }
    
    public function getContinuationToken(): ?string
    {
        return $this->continuationToken;
    }
}